/***************************************************************************
                          settings.h  -  description
                             -------------------
    begin                : Sat Feb 17 2001
    copyright            : (C) 2001 by Matthias Welwarsky
    email                : matze@stud.fbi.fh-darmstadt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef SETTINGS_H
#define SETTINGS_H

#include <qwidget.h>

#include "settingsdlg.h"

/**a setup dialog to configure application preferences like
  *the modem device and the bitrate to use
  *@author Matthias Welwarsky
  */

class Settings : public SettingsDlg  {
	Q_OBJECT
public:
	Settings(QWidget *parent=0, const char *name=0);
	virtual ~Settings();
  	
  	/** No descriptions */
  	QString bitrate() const;
  	
  	/** No descriptions */
  	void setBitrate(const QString&);
};

#endif
